petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSwarmSortGetIsValid

Gets the isvalid flag associated with a DMSwarm point sorting context

### Synopsis

    PETSC_EXTERN PetscErrorCode DMSwarmSortGetIsValid(DM dm,PetscBool *isvalid)

Not collective

### Input parameter

dm -a DMSwarm object

### Output parameter

isvalid -flag indicating whether the sort context is up-to-date

### See Also

DMSwarmSetType(), DMSwarmSortGetAccess()

### Level

advanced

### Location

src/dm/impls/swarm/swarmpic_sort.c
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages